# Seccl - Create a new Seccl client and sync them into Plannr **POST /api/v1/addons/seccl/{addon}/client** ## Servers - https://api.plannrcrm.com: https://api.plannrcrm.com () ## Authentication methods - Personal access token & O auth2 ## Parameters ### Path parameters - **addon** (string) ### Body: application/json (object) - **client_type** (string) | The type of client. | Value | Description | | ----- | ----------- | |Individual|INDIVIDUAL| |Individual Minor|INDIVIDUAL_MINOR| - **node_id** (string) The Seccl node ID. Required for adult clients. - **parent_id** (string) The parent client identifier. Required for minor clients. Accepts either a Seccl client ID or a Plannr account UUID. - **title** (string) | The client's title. Required for adult clients. | Value | Description | | ----- | ----------- | |Dr|Dr| |Professor|Professor| |Mrs|Mrs| |Miss|Miss| |Mr|Mr| |Ms|Ms| |Mx|Mx| - **first_name** (string) The client's first name. - **surname** (string) The client's surname. - **email** (string(email)) The client's email. Required for adult clients. - **nationality** (string) The client's primary nationality (2-letter ISO code). - **nationalities** (array) Array of nationalities with optional identifiers. Exactly one nationality must include identifiers, and exactly one identifier must be marked as available. - **nationalities.*.code** (string) The 2-letter ISO country code. - **nationalities.*.identifiers** (array) Array of tax identifiers for this nationality. - **nationalities.*.identifiers.*.name** (string) The identifier name (e.g., NINO, TIN, SSN, CONCAT). - **nationalities.*.identifiers.*.available** (boolean) Whether this identifier is available for the client. - **nationalities.*.identifiers.*.value** (string) The identifier value. Required when available is true, must not be present when available is false or name is CONCAT. - **national_insurance_no** (string) The client's national insurance number. - **date_of_birth** (string(date)) The client's date of birth. - **flat_number** (string) The client's flat number. - **building_name** (string) The client's building name. - **building_number** (string) The client's building number. - **address_1** (string) The client's address line 1. - **address_2** (string) The client's address line 2. - **country** (string) The client's country. - **postcode** (string) The client's postcode. - **account_uuid** (string(uuid)) The UUID of an existing Plannr account to link to the newly created Seccl client. When provided, the Seccl client ID will be set as an external reference on that account before syncing. - **tax_domicile** (string) The client's tax domicile (2-letter ISO code, currently only GB supported). - **marital_status** (string) | The client's marital status. | Value | Description | | ----- | ----------- | |Single|Single| |Married|Married| |Divorced|Divorced| |Widowed|Widowed| - **retirement_age** (integer) The client's expected retirement age. - **vulnerability** (array) Vulnerability information for the client. - **vulnerability.is_vulnerable** (boolean) Whether the client is vulnerable. - **vulnerability.reason** (array) Array of vulnerability reasons (max 4). Required when is_vulnerable is true. - **vulnerability.reason.*** (string) | A vulnerability reason. | Value | Description | | ----- | ----------- | |Health|HEALTH| |Life event|LIFE_EVENT| |Resilience|RESILIENCE| |Capability|CAPABILITY| - **vulnerability.is_support_temporary** (boolean) Whether the support required is temporary. Required when is_vulnerable is true. - **bank_details** (array) Bank account details for the client. - **bank_details.account_number** (string) The bank account number. Required if requires_debit_mandate is true. - **bank_details.sort_code** (string) The bank sort code. Required if requires_debit_mandate is true. - **requires_debit_mandate** (boolean) Whether a debit mandate is required for this client. - **employment_status** (string) | The client's employment status. | Value | Description | | ----- | ----------- | |Employed|Employed| |Retired|Retired| |Self Employed|Self Employed| |Care Under 16s|Care Under 16S| |Care Over 16|Care Over 16| |Education|Education| |Unemployed|Unemployed| |Other|Other| - **employers** (array) Array of employer information (max 1). - **employers.*.company_name** (string) The employer's company name. - **employers.*.company_reg_no** (string) The employer's company registration number. - **employers.*.address_detail** (array) The employer's address. - **employers.*.address_detail.flat_number** (string) The employer address flat number. - **employers.*.address_detail.building_name** (string) The employer address building name. - **employers.*.address_detail.building_number** (string) The employer address building number. - **employers.*.address_detail.address_1** (string) The employer address line 1. - **employers.*.address_detail.address_2** (string) The employer address line 2. - **employers.*.address_detail.country** (string) The employer address country. - **employers.*.address_detail.post_code** (string) The employer address postcode. - **employers.*.bank_details** (array) The employer's bank details. - **employers.*.bank_details.sort_code** (string) The employer bank sort code. - **employers.*.bank_details.account_number** (string) The employer bank account number. - **aml** (boolean) AML acceptance confirmation. Required and must be accepted for adult clients. ## Responses ### 200 #### Body: application/json (object) - **id** (string) The unique identifier of the client - **node_id** (string) The node ID - **client_type** (string) The type of client - **title** (string) The title of the client - **first_name** (string) The first name of the client - **surname** (string) The surname of the client - **address_detail** (object) The address details of the client - **email** (string) The email address of the client - **mobile** (object) The primary mobile number of the client - **nationality** (string) The primary nationality of the client - **national_insurance_no** (string) The national insurance number of the client - **date_of_birth** (string) The date of birth of the client - **tax_domicile** (string) The tax domicile of the client - **terms_accepted** (boolean) The terms accepted status of the client - **status** (string) The status of the client - **bank_details** (object) The bank details of the client - **vulnerability** (object) The vulnerability details of the client - **aml_passed** (boolean) Whether the client has passed AML checks - **requires_debit_mandate** (boolean) Does this client require a debit mandate - **employment_status** (string) The employment status of the client - **employers** (array[object]) The employers of the client - **marital_status** (string) The marital status of the client - **retirement_age** (integer) The retirement age of the client - **can_open_accounts_for** (array[string]) The wrapper types the client can open accounts for - **plannr_account** (object) The Plannr account associated with the client - **parent_id** (string) The parent ID of the client [Powered by Bump.sh](https://bump.sh)